Loading...
Searching...
No Matches
pdumodel::DoublePole Struct Reference

for OCP More...

## Public Attributes

string | label
| Pole label
PowerLine | line
| Power line.
int | inNodeId
| Upstream (inlet-side) circuit node id.
int | outNodeId
| Downstream (outlet-side) circuit node id.
sensors::NumericSensor | voltage
| RMS voltage sensor, L-L.
sensors::NumericSensor | voltageLN
| RMS voltage sensor, L-N.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.

## Detailed Description

for OCP

Definition at line 79 of file Pole.idl.

## Member Data Documentation

## activeEnergy

sensors::NumericSensor pdumodel::DoublePole::activeEnergy

Active energy sensor.

Definition at line 91 of file Pole.idl.

## activePower

sensors::NumericSensor pdumodel::DoublePole::activePower

Active power sensor.

Definition at line 88 of file Pole.idl.

## apparentEnergy

sensors::NumericSensor pdumodel::DoublePole::apparentEnergy

Apparent energy sensor.

Definition at line 92 of file Pole.idl.

## apparentPower

sensors::NumericSensor pdumodel::DoublePole::apparentPower

Apparent power sensor.

Definition at line 89 of file Pole.idl.

## current

sensors::NumericSensor pdumodel::DoublePole::current

RMS current sensor.

Definition at line 86 of file Pole.idl.

## inNodeId

int pdumodel::DoublePole::inNodeId

Upstream (inlet-side) circuit node id.

Definition at line 82 of file Pole.idl.

## label

string pdumodel::DoublePole::label

Pole label

Definition at line 80 of file Pole.idl.

## line

PowerLine pdumodel::DoublePole::line

Power line.

Definition at line 81 of file Pole.idl.

## outNodeId

int pdumodel::DoublePole::outNodeId

Downstream (outlet-side) circuit node id.

Definition at line 83 of file Pole.idl.

## peakCurrent

sensors::NumericSensor pdumodel::DoublePole::peakCurrent

Peak current sensor.

Definition at line 87 of file Pole.idl.

## powerFactor

sensors::NumericSensor pdumodel::DoublePole::powerFactor

Power factor sensor.

Definition at line 90 of file Pole.idl.

## voltage

sensors::NumericSensor pdumodel::DoublePole::voltage

RMS voltage sensor, L-L.

Definition at line 84 of file Pole.idl.

## voltageLN

sensors::NumericSensor pdumodel::DoublePole::voltageLN

RMS voltage sensor, L-N.

Definition at line 85 of file Pole.idl.

The documentation for this struct was generated from the following file:

- Pole.idl